Subject: bug#57400: 29.0.50; Support sending patches from VC directly

From: Juri Linkov <[email-masked]>
Date: Wed, 05 Oct 2022 22:57:47 +0300

>> Another question is if `vc-prepare-patch' should be bound to a key or
>> not.  From what I see "C-x v p" appears to be free, which might be a
>> possible candidate.
>
> There's some potential for confusion with pull/push, I guess, but I
> can't think of any better key (that's free).
>
> Er...  `C-x v S'?  (For send.)  Hm...  no, `S' is taken in vc-dir
> buffers, and it'd be nice to have the same key in vc-dir-mode.  Oh, `p'
> is taken in `vc-dir-mode', too.

Currently 'C-x v =' (vc-diff) can be easily mistyped as 'C-x v +' (vc-pull)
often with an adverse effect because '=' and '+' are on the same key.
It would be nice to bring both 'vc-pull' and 'vc-push' under the same
prefix key 'C-x v p'.  And to add vc-prepare-patch under the same prefix.

'p' and 'S' in vc-dir are specific to the vc-dir buffer.
So 'C-x v S' could be bound to the command vc-log-search
that has no key binding.